Subject: Re: bug#72769: 31.0.50; info-pop-to-buffer should respect display-buffer-alist

From: Björn Bidar <[email-masked]>
Date: Sat, 24 Aug 2024 15:11:50 +0300

Kévin Le Gouguec <[email-masked]> writes:

> Eli Zaretskii <[email-masked]> writes:
>
>> But the main command to show Info manuals is not info-display-manual,
>> it's "M-x info".
>
> (FWIW, I invoke info-display-manual several times a day; I like that it
> prompts for the manual to open, with completion on names for manuals
> installed in the standard paths)
>
>>> For my own personal use the issue is that I don't like when info doesn't
>>> open in a new window so that I don't have open a frame/window to keep
>>> looking at the existing thing I was doing at that time e.g. programming.
>>
>> The question is why do you need/want that when you invoke this
>> particular command?  For that matter, under what circumstances do you
>> invoke this command to begin with?
>
> Selected window shows code that I want to keep looking at: I invoke
>   C-x 4 4 C-h R
> to start browsing the manual of interest, keeping the code visible.
>
> Selected window shows documentation I am done reading for now (a help
> buffer, a manpage, another info manual): I invoke
>   C-x 4 1 C-h R
> to start browsing another manual, clobbering my "reference
> documentation" window.
>
> (This is while working on languages that have poor Info integration, of
> course; C-h S serves me better in e.g. Elisp or Make code)
>
> FWIW I am happy with the C-x 4 [14] status quo, but it makes sense to me
> that some folks would have "info usage patterns" similar to mine, while
> preferring to use display-buffer-alist rules.

I have exactly the same workflow in the situation you describe.
I also create a separate frame each time I open new manual, but if
info would follow the display-buffer-alist rules I wouldn't have to do
that my self and the frame would be closed when I close the manual.